--- lockdev-1.0.1/src/lockdev.c.dvh	2007-02-04 07:41:22 +0300
+++ lockdev-1.0.1/src/lockdev.c	2007-02-04 07:54:39 +0300
@@ -388,7 +388,8 @@
 	/* no check on lockname */
 	FILE *fd = 0;
 	int j = 0;
-
+	int varemp; /* empty variable */
+	
 	_debug( 3, "_dl_check_lock(lockname=%s)\n", lockname);
 	if ( _dl_block_semaphore() ) {
 		return -1;
@@ -457,12 +458,12 @@
 		if ( ! (fd=fopen( tpname, "r")) ) {
 			return -1;
 		}
-		fscanf( fd, "%d", &pid2);
+		varemp = fscanf( fd, "%d", &pid2);
 		if ( pid2 && (pid2 != pid_read) && ( _dl_pid_exists( pid2))) {
 			/* lock file was changed! let us quickly
 			 * put it back again
 			 */
-			link( tpname, lockname);
+			varemp = link( tpname, lockname);
 			/* could fail, meaning that there is a fourth
 			 * process involved which now owns the lock, but
 			 * it is possible that the third process, who




